Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.spring
Class CreatorConfig

    java.lang.Object
      org.directwebremoting.spring.CreatorConfig

    public class CreatorConfig

extends java.lang.Object

The configuration for a creator.
You can either specify the creator directly or specify one of the build in creator types, for instance "new". It allows the specification of the following optional configuration parameters:

- includes - the list of method names to include
- excludes - the list of method names to exclude
- auth - the `Properties` object containing method names and corresponding required role
- filters - the list of filter objects

Author:
  Bram Smeets, Joe Walker [joe at getahead dot ltd dot uk]
See Also:
  `AccessControl.addIncludeRule(String, String)`, `AccessControl.addExcludeRule(String, String)`, `AccessControl.addRoleRestriction(String, String, String)`, `AjaxFilter`, `AjaxFilterManager.addAjaxFilter(org.directwebremoting.AjaxFilter, String)`

Constructor Summary
`CreatorConfig()`

Method Summary
`void` | `addAuth(java.lang.String method, java.lang.String role)` Convenience method for adding an authentication rule.
`void` | `addExclude(java.lang.String method)` Convenience method for adding an exclude rule.
`void` | `addFilter(AjaxFilter filter)` Convenience method for adding a filter.
`void` | `addInclude(java.lang.String method)` Convenience method for adding an include rule.
`java.util.Properties` | `getAuth()` Sets the authentication parameters for this creator.
`Creator` | `getCreator()` The creator that will be used to create new objects for remoting
`java.lang.String` | `getCreatorType()` The creator type that will be used to create new objects for remoting
`java.util.List` | `getExcludes()` Gets the list of method names to exclude for this creator.
`java.util.List` | `getFilters()` Gets the list of all filters for this creator.
`java.util.List` | `getIncludes()` Gets the list of method names to include for this creator.
`java.util.Map` | `getParams()` The set of key/value pairs to provide further configuration. Note that these params are only used when setting the creator type and not when setting the creator directly.
`void` | `setAuth(java.util.Properties auth)` Sets the authentication parameters for this creator.
`void` | `setCreator(Creator creator)` The creator type that will be used to create new objects for remoting
`void` | `setCreatorType(java.lang.String creatorType)` The creator that will be used to create new objects for remoting
`void` | `setExcludes(java.util.List excludes)` Sets the list of method names to exclude for this creator.
`void` | `setFilters(java.util.List filters)` Sets the list of all filters for this creator.
`void` | `setIncludes(java.util.List includes)` Sets the list of method names to include for this creator.
`void` | `setParams(java.util.Map params)` The set of key/value pairs to provide further configuration. Note that these params are only used when setting the creator type and not when setting the creator directly.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreatorConfig

    public CreatorConfig()

Method Detail

### getCreatorType

    public java.lang.String getCreatorType()

  The creator type that will be used to create new objects for remoting

  Returns:
    Returns the creator type.

### setCreatorType

    public void setCreatorType(java.lang.String creatorType)

  The creator that will be used to create new objects for remoting

  Parameters:
    `creatorType` - The creator type to set.

### getCreator

    public Creator getCreator()

  The creator that will be used to create new objects for remoting

  Returns:
    Returns the creator.

### setCreator

    public void setCreator(Creator creator)

  The creator type that will be used to create new objects for remoting

  Parameters:
    `creator` - The creator to set.

### getAuth

    public java.util.Properties getAuth()

  Sets the authentication parameters for this creator.

  Returns:
    the map containing the method name and the corrosponding required role
  See Also:
    `AccessControl.addRoleRestriction(String, String, String)`

### setAuth

    public void setAuth(java.util.Properties auth)

  Sets the authentication parameters for this creator.

  Parameters:
    `auth` - the map containing the method name and the corrosponding required role
  See Also:
    `AccessControl.addRoleRestriction(String, String, String)`

### getFilters

    public java.util.List getFilters()

  Gets the list of all filters for this creator.

  Returns:
    the list containing all filters
  See Also:
    `AjaxFilter`, `AjaxFilterManager.addAjaxFilter(org.directwebremoting.AjaxFilter, String)`

### setFilters

    public void setFilters(java.util.List filters)

  Sets the list of all filters for this creator.

  Parameters:
    `filters` - the list containing all filters
  See Also:
    `AjaxFilter`, `AjaxFilterManager.addAjaxFilter(org.directwebremoting.AjaxFilter, String)`

### addAuth

    public void addAuth(java.lang.String method,
                        java.lang.String role)

  Convenience method for adding an authentication rule.

  Parameters:
    `method` - the method to add the authentication rule
    `role` - the role to add the authentication constraint for
  Throws:
    `java.lang.IllegalArgumentException` - in case the specified argument is null

### addFilter

    public void addFilter(AjaxFilter filter)

  Convenience method for adding a filter.

  Parameters:
    `filter` - the filter to add for this creator
  Throws:
    `java.lang.IllegalArgumentException` - in case the specified argument is null

### getIncludes

    public java.util.List getIncludes()

  Gets the list of method names to include for this creator.

  Returns:
    the list of method names to include
  See Also:
    `AccessControl.addIncludeRule(String, String)`

### setIncludes

    public void setIncludes(java.util.List includes)

  Sets the list of method names to include for this creator.

  Parameters:
    `includes` - the list of method names to include
  See Also:
    `AccessControl.addIncludeRule(String, String)`

### getExcludes

    public java.util.List getExcludes()

  Gets the list of method names to exclude for this creator.

  Returns:
    the list of method names to exclude
  See Also:
    `AccessControl.addExcludeRule(String, String)`

### setExcludes

    public void setExcludes(java.util.List excludes)

  Sets the list of method names to exclude for this creator.

  Parameters:
    `excludes` - the list of method names to exclude
  See Also:
    `AccessControl.addExcludeRule(String, String)`

### addInclude

    public void addInclude(java.lang.String method)

  Convenience method for adding an include rule.

  Parameters:
    `method` - the method to add the include rule for
  Throws:
    `java.lang.IllegalArgumentException` - in case the specified argument is null

### addExclude

    public void addExclude(java.lang.String method)

  Convenience method for adding an exclude rule.

  Parameters:
    `method` - the method to add the exclude rule
  Throws:
    `java.lang.IllegalArgumentException` - in case the specified argument is null

### getParams

    public java.util.Map getParams()

  The set of key/value pairs to provide further configuration.
  Note that these params are only used when setting the creator type and not when setting the creator directly.

  Returns:
    Returns the params.

### setParams

    public void setParams(java.util.Map params)

  The set of key/value pairs to provide further configuration.
  Note that these params are only used when setting the creator type and not when setting the creator directly.

  Parameters:
    `params` - The params to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD